# Krajee Yii2 Extensions

The [Krajee](https://krajee.com) library is a set of various useful extensions and enhancements built for the
[Yii2 framework](https://github.com/yiisoft/yii2). Most of the extensions also include additional client
functionality enabled via exclusive jQuery Plugins created by Krajee. Refer these additional resource links below for
details on usage and demos of these extensions.

- [Krajee Yii2 Demos](https://demos.krajee.com): All Krajee Yii2 extensions, widgets, modules with documentation and demos.
- [Krajee jQuery Plugins](https://plugins.krajee.com): All Krajee jQuery plugins with documentation and demos.
- [Krajee Web Tips](https://webtips.krajee.com): Web tips & tricks including FAQ by Krajee on programming with jQuery, PHP and Yii2.

## Installation

The preferred way to install all Krajee Yii2 extensions is through [composer](http://getcomposer.org/download/).
For example, to install the core Krajee component library `yii2-krajee-base`.

either run:

```
$ php composer.phar require kartik-v/yii2-krajee-base "@dev"
```

or add

```
"kartik-v/yii2-krajee-base": "@dev"
```

to the ```require``` section of your `composer.json` file.

> Note: Read this [web tip /wiki](http://webtips.krajee.com/setting-composer-minimum-stability-application/) on setting the `minimum-stability` settings for your application's composer.json.

## License

All of Krajee extensions are released under the BSD-3-Clause License. Refer the bundled `LICENSE.md` with each extension's repo for more details.